Subject: Re: bug#9516: imagemagick-register-types and image-file-name-extensions

From: Juri Linkov <[email-masked]>
Date: Fri, 16 Sep 2011 17:09:49 +0300

>> I propose a fix that adds them to `image-file-name-extensions'
>> in `imagemagick-register-types':
>
> There's something I don't understand:
> - why do we have both image-file-name-extensions and image-file-name-regexps?

I guess for historical reasons.

> - why doesn't image-file.el use image-type-file-name-regexps?

It seems image-file.el is semi-obsoleted by image-mode.el,
so it should use more general settings from image-type-file-name-regexps.
And other packages should be fixed to use more general settings
from image.el instead of relying on definitions from image-file.el.